<h1>Items</h1>
<form class="center-block form">
  <div class="form-row">
    <div class="form-group col-md-6 block-item-name">
      <input type="text" [(ngModel)]="item.name" name="name" class="form-control input-item-name" id="inputEmail4" placeholder="Item name">
    </div>
    <div class="form-group col-md-6 block-item-type">
      <input type="text" [(ngModel)]="item.type" name="type" class="form-control input-item-type" id="inputPassword4" placeholder="Item type">
    </div>
  </div>
  <input type="submit" (click)="add(item)" class="btn btn-sm btn-primary"/>
</form>

<table *ngIf="tableMode; else edit" class="table table-striped">
  <thead>
  <tr>
    <td>Item name</td>
    <td>Item type</td>
    <td></td>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let ite of items">
    <ng-template [ngIf]="item?.id != ite.id" [ngIfElse]="edit">
      <td>{{ite?.name}}</td>
      <td>{{ite?.type}}</td>
      <td>
        <button class="btn btn-sm btn-primary" (click)="editItem(ite)">Edit</button>
        <button class="btn btn-sm btn-danger" (click)="delete(ite)">Delete</button>
      </td>
    </ng-template>
  </tr>
  </tbody>
</table>

<!--Template for edit-->
<ng-template #edit>
  <td>
    <input type="text" [(ngModel)]="item.name" class="form-control" />
  </td>
  <td>
    <input type="text" [(ngModel)]="item.type" class="form-control" />
  </td>
  <td>
    <input type="button" value="Save" (click)="save()" class="btn btn-sm btn-success" />
    <input type="button" value="Cancel" (click)="cancel()" class="btn btn-sm btn-warning" />
  </td>
</ng-template>
